> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/embedded-wallets/get-a-account",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get a account

> Get a specific account under a specific Non Custodial Wallet



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /ncw/wallets/{walletId}/accounts/{accountId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /ncw/wallets/{walletId}/accounts/{accountId}:
    get:
      tags:
        - Embedded Wallets
      summary: Get a account
      description: Get a specific account under a specific Non Custodial Wallet
      operationId: GetEmbeddedWalletAccount
      parameters:
        - in: path
          name: walletId
          description: WalletId
          example: 550e8400-e29b-41d4-a716-446655440000
          required: true
          schema:
            type: string
        - in: path
          name: accountId
          description: The ID of the account
          example: '0'
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddedWalletAccount'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<EmbeddedWalletAccount>> =
            fireblocks.embeddedWallets.getEmbeddedWalletAccount(embeddedWalletsApiGetEmbeddedWalletAccountRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<EmbeddedWalletAccount>> response =
            fireblocks.embeddedWallets().getEmbeddedWalletAccount(walletId,
            accountId);
        - lang: Python
          source: >-
            response =
            fireblocks.embedded_wallets.get_embedded_wallet_account(wallet_id,
            account_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    EmbeddedWalletAccount:
      type: object
      properties:
        accountId:
          type: string
          description: The ID of the account
          example: '0'
        walletId:
          type: string
          description: Unique identifier of the Non-Custodial Wallet (UUID)
          example: 550e8400-e29b-41d4-a716-446655440000
      required:
        - walletId
        - accountId
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````